Bug 251611 - (perl-Template-Alloy) Review Request: perl-Template-Alloy - TT2/3, HT, HTE, Tmpl, and Velocity Engine
Review Request: perl-Template-Alloy - TT2/3, HT, HTE, Tmpl, and Velocity Engine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Template-...
:
Depends On:
Blocks: 251612
  Show dependency treegraph
 
Reported: 2007-08-09 22:31 EDT by Chris Weyl
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 13:25:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-08-09 22:31:07 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Template-Alloy-1.006-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Template-Alloy.spec

Description:
"An alloy is a homogeneous mixture of two or more elements"
(http://en.wikipedia.org/wiki/Alloy).

Template::Alloy represents the mixing of features and capabilities from all
of the major mini-language based template systems (support for
non-mini-language based systems will happen eventually).  With Template::Alloy
you can use your favorite template interface and syntax and get features from
each of the other major template systems.  And Template::Alloy is fast -
whether you're using mod_perl, cgi, or running from the commandline.  There
is even Template::Alloy::XS for getting a little more speed when that is
necessary.
Comment 2 Jason Tibbitts 2007-10-23 17:02:46 EDT
Is this still blocked by the CGI::Ex ticket (which seems to be assigned to you)?
Comment 3 Chris Weyl 2007-10-23 17:34:54 EDT
Rather, it's the other way around -- this review is blocking the upgrade ticket :)
Comment 4 Jason Tibbitts 2007-10-23 18:45:49 EDT
Erm, sorry for dumbness.
Comment 5 Jason Tibbitts 2007-10-23 19:18:56 EDT
Looks good to me.  The Summary: is terribly cryptic, though.  I know it's what
upstream uses as their summary, but perhaps it would be nicer to say something
like "Fast templating engine supporting the syntax of several other templating
systems" except that's too long.  Ugh.  I'll leave it up to you.

* source files match upstream:
   d55664bbe5389afef51a66a07252a335d8370b2e72f3d494d147d14d05253155  
   Template-Alloy-1.007.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
? summary is somewhat cryptic.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane; full list at the end.
* %check is present and all tests pass:
   All tests successful.
   Files=9, Tests=2992,  3 wallclock secs ( 3.14 cusr +  0.28 csys =  3.42 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Full provides and requires:
   perl(Template::Alloy) = 1.007
   perl(Template::Alloy::Compile)
   perl(Template::Alloy::Context)
   perl(Template::Alloy::EvalPerlHandle)
   perl(Template::Alloy::Exception)
   perl(Template::Alloy::HTE)
   perl(Template::Alloy::Iterator)
   perl(Template::Alloy::Operator)
   perl(Template::Alloy::Parse)
   perl(Template::Alloy::Perl)
   perl(Template::Alloy::Play)
   perl(Template::Alloy::TT)
   perl(Template::Alloy::Tmpl)
   perl(Template::Alloy::VMethod)
   perl(Template::Alloy::Velocity)
   perl(Template::Alloy::_ContextStash)
   perl-Template-Alloy = 1.007-1.fc8
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Template::Alloy)
   perl(Template::Alloy::Context)
   perl(Template::Alloy::Exception)
   perl(Template::Alloy::Iterator)
   perl(Template::Alloy::Operator)
   perl(Template::Alloy::VMethod)
   perl(base)
   perl(strict)
   perl(vars)
   perl(warnings)
Comment 6 Chris Weyl 2007-10-23 22:26:09 EDT
New Package CVS Request
=======================
Package Name: perl-Template-Alloy
Short Description: TT2/3, HT, HTE, Tmpl, and Velocity Engine
Owners: cweyl
Branches: FC-6 F-7 F-8 devel
InitialCC: perl-sig
Cvsextras Commits:
Comment 7 Chris Weyl 2007-10-23 22:28:39 EDT
(In reply to comment #4)
> Erm, sorry for dumbness.

Hey, that's my line! :)

w.r.t. the summary, I agree.  I'm tempted to say "Template::Any by another name"
but I suspect that would be just as confusing to the layman, if slightly less to
a perlite.
Comment 8 Kevin Fenzi 2007-10-24 00:34:40 EDT
cvs done.
Comment 9 Chris Weyl 2007-10-24 13:25:53 EDT
Imported and built.  Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.